Bug 65170

Summary: [Qt] Fix tst_QWebFrame::connectAndDisconnect() API test
Product: WebKit Reporter: Kristóf Kosztyó <kkristof>
Component: WebKit QtAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cmarcelo, ossy
Priority: P2 Keywords: Qt, QtTriaged
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 38654    
Attachments:
Description Flags
mark failing test cases as expected fail none

Description Kristóf Kosztyó 2011-07-26 04:17:51 PDT
FAIL!  : tst_QWebFrame::connectAndDisconnect() Compared values are not the same
   Actual (evalJS("slotThisObject == window")): false
   Expected (sTrue): true
   Loc: [/ramdisk/qt-linux-release/build/Source/WebKit/qt/tests/qwebframe/tst_qwebframe.cpp(1455)]

It started failing after r91095
Comment 1 Kristóf Kosztyó 2011-07-29 03:58:31 PDT
this testcases also fail

FAIL! : tst_QWebFrame::connectAndDisconnect() Compared values are not the same Actual (evalJS("myObject.mySignalWithIntArg(123)")): 123 Expected (sUndefined): undefined Loc: [/home/kosztyo/WebKit/Source/WebKit/qt/tests/qwebframe/tst_qwebframe.cpp(1563)] QDEBUG : tst_QWebFrame::classEnums() can't make "generic.orientation" because no QAccelerometer sensors exist 
FAIL! : tst_QWebFrame::connectAndDisconnect() Compared values are not the same Actual (evalJS("myObject.mySignalWithIntArg(123)")): 123 Expected (sUndefined): undefined Loc: [/home/kosztyo/WebKit/Source/WebKit/qt/tests/qwebframe/tst_qwebframe.cpp(1572)] QDEBUG : tst_QWebFrame::classEnums() can't make "generic.orientation" because no QAccelerometer sensors exist 
FAIL! : tst_QWebFrame::connectAndDisconnect() Compared values are not the same Actual (evalJS("myObject.mySignalWithIntArg(123)")): 123 Expected (sUndefined): undefined Loc: [/home/kosztyo/WebKit/Source/WebKit/qt/tests/qwebframe/tst_qwebframe.cpp(1581)] QDEBUG : tst_QWebFrame::classEnums() can't make "generic.orientation" because no QAccelerometer sensors exist 
FAIL! : tst_QWebFrame::connectAndDisconnect() Compared values are not the same Actual (evalJS("myObject.mySignalWithIntArg(123)")): 123 Expected (sUndefined): undefined Loc: [/home/kosztyo/WebKit/Source/WebKit/qt/tests/qwebframe/tst_qwebframe.cpp(1591)] QDEBUG : tst_QWebFrame::classEnums() can't make "generic.orientation" because no QAccelerometer sensors exist
FAIL! : tst_QWebFrame::connectAndDisconnect() Compared values are not the same Actual (evalJS("myObject.mySignalWithIntArg(456)")): 456 Expected (sUndefined): undefined Loc: [/home/kosztyo/WebKit/Source/WebKit/qt/tests/qwebframe/tst_qwebframe.cpp(1600)] QDEBUG : tst_QWebFrame::classEnums() can't make "generic.orientation" because no QAccelerometer sensors exist
Comment 2 Csaba Osztrogonác 2011-08-02 01:53:55 PDT
Could you mark them as expected fails?
Comment 3 Kristóf Kosztyó 2011-08-02 05:07:05 PDT
Created attachment 102634 [details]
mark failing test cases as expected fail
Comment 4 Csaba Osztrogonác 2011-08-02 05:11:46 PDT
Comment on attachment 102634 [details]
mark failing test cases as expected fail 

r=me
Comment 5 Csaba Osztrogonác 2011-08-02 05:14:56 PDT
Comment on attachment 102634 [details]
mark failing test cases as expected fail 

Landed in https://trac.webkit.org/changeset/92180
Comment 6 Csaba Osztrogonác 2012-11-14 04:37:17 PST
Tests were unskipped long time ago, so it is fixed.